aboutsummaryrefslogtreecommitdiff
path: root/media
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:45:18 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:45:18 +0000
commit7e673fa0af3bc487acfb41d9cb551b2fa146b9f7 (patch)
tree391a4b028b7d8d5007792f9f1c1f63f7a771eb69 /media
parent5edac4f98ec983dca5724a95bdc6fac061bb18ba (diff)
downloadslackbuilds-7e673fa0af3bc487acfb41d9cb551b2fa146b9f7.tar.gz
slackbuilds-7e673fa0af3bc487acfb41d9cb551b2fa146b9f7.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@672 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media')
-rwxr-xr-xmedia/gfx/exiv2/exiv2.SlackBuild204
-rw-r--r--media/libs/faac/faac-1.24.diff.gzbin0 -> 296212 bytes
-rwxr-xr-xmedia/libs/faac/faac.SlackBuild123
-rw-r--r--media/libs/faad2/faad2-2.0.diff13
-rwxr-xr-xmedia/libs/faad2/faad2.SlackBuild120
-rwxr-xr-xmedia/video/ffmpeg/ffmpeg.SlackBuild122
-rw-r--r--media/video/ffmpeg/slack-required1
7 files changed, 583 insertions, 0 deletions
diff --git a/media/gfx/exiv2/exiv2.SlackBuild b/media/gfx/exiv2/exiv2.SlackBuild
new file mode 100755
index 00000000..d6f3ff16
--- /dev/null
+++ b/media/gfx/exiv2/exiv2.SlackBuild
@@ -0,0 +1,204 @@
+#!/bin/bash
+#
+# slackbuild for exiv2, by Rudson R. Alves
+# requires: none
+# tested: exiv2-0.11
+
+CWD=`pwd`
+
+# ---- Inicializa variáveis com o slackbuild ------------
+if [ -e "/root/.slackbuildrc" ]; then
+ source /root/.slackbuildrc
+elif [ -e "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+# -------- Variáveis de controle de versão --------------
+# Nome da fonte para a qual o slackbuild foi construído e
+# o seu md5sum
+SRC_ORIG="exiv2-0.11.tar.gz"
+MD5_ORIG="269ce822946c56549d086f0c08dffc79"
+PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
+VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
+ EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
+
+# ------- Códigos de erro para o createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+# --------- Inicializa variáveis de entrada -------------
+PACKAGE=$PACKAGE_ORIG
+ARCH=${ARCH:=i468}
+SRC_DIR=${SRC:=$CWD}
+VERSION=${VERSION:=$VERSION_ORIG}
+SRC=$PACKAGE-$VERSION.$EXTENSION
+BUILD=${BUILD:=1rud}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+OPTCONF=${OPTCONF:=""}
+MD5=${MD5:=$MD5_ORIG}
+URL=${URL:="http://www.exiv2.org/$SRC"}
+
+# ---------------- SlackBuild Help ----------------------
+if [ "$1" = "--help" -o "$1" = "help" ]; then
+ echo -e "\033[01;32m
+Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
+where:
+ ARCH=machine arch (i386, i486, i686, ...)
+ VERSION=package version
+ BUILD=package build version (default 1rud)
+ SRC=source name of package
+ SRC_DIR=source directory (default $PWD)
+ TMP=temporary directory (default /tmp)
+ REPOS=repository directory
+ PREFIX=prefix from install package
+ OPTCONF=options to pass from ./configure. To configure
+ help, use OPTCONF=\"--help\"
+ MD5=md5sum from package source
+ URL=url from package source
+\033[m"
+ exit $ERROR_HELP
+fi
+
+# ---------------- Download fontes ----------------------
+# Fonte a ser compilada, com o path
+SOURCE=$SRC_DIR/$PACKAGE/$SRC
+# Verifica existência do pacote em $SRC em $SRC_DIR
+if [ ! -e $SOURCE ]; then
+ echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
+ wget "$URL" -P "$SRC_DIR/$PACKAGE"
+ # Verifica se o
+ if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
+ exit $ERROR_WGET
+ fi
+fi
+
+# ------------------ Checa md5sum -----------------------
+if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
+ SUM=`md5sum $SOURCE | awk '{print $1}'`
+ if [ "$SUM" != "$MD5" ]; then
+ echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
+ echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
+ exit 0
+ fi
+ echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+fi
+
+# ----------------- ARCH e LIBDIR -----------------------
+# Libdir, para arch x86_64
+LIBDIR=$PREFIX/lib
+# Seleciona flags para o compilador
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# -------------- Desempacota fontes ---------------------
+# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
+PKG_SRC=$TMP/$PACKAGE-source
+rm -rf $PKG_SRC 2>/dev/null
+mkdir -p $PKG_SRC
+# Desempacota $SOURCE em $TMP/$PACKAGE-source
+tar xvf $SOURCE -C $PKG_SRC
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
+ exit $ERROR_TAR
+fi
+# Pega o nome do diretório das fontes independente de sua
+# estrutura (package-version...)
+PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
+cd $PKG_DIR
+
+# -------------- Configura programa ---------------------
+# Configura programa
+echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
+CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
+if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
+ echo -e "\n\n\033[01;31m Configure error \n\033[m"
+ exit $ERROR_CONF
+fi
+
+# ---------------- Compila programa ---------------------
+echo -e "\n\n\033[01;32m make -j3 \n\033[m"
+make -j3
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Build error \n\033[m"
+ exit $ERROR_MAKE
+fi
+
+# ------------- Diretório Temporário --------------------
+# Cria diretório temporário para construção do pacote
+PKG=$TMP/$PACKAGE
+rm -rf $PKG
+mkdir -p $PKG
+
+# --------------- Instala programa ----------------------
+# Instala programa em diretório temporário
+echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
+make install DESTDIR=$PKG
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Install error \n\033[m"
+ exit $ERROR_INSTALL
+fi
+# --------------- Compacta manuais ----------------------
+gzip -r $PKG/shared/man/*
+
+# ----------------- Stripa código -----------------------
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# ---------------- Cria slack-desc ----------------------
+mkdir $PKG/install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |--------handy-ruler------------------------------------------------------|
+exiv2: libdvdread.SlackBuild by Rudson R. Alves
+exiv2:
+exiv2: Exiv2 is a C++ library and a command line utility to access image
+exiv2: metadata. Exiv2 is available as free software and with a commercial
+exiv2: license, and is used in a growing number of projects.
+exiv2: The Exiv2 library provides:
+exiv2: - full read and write access to the Exif and IPTC metadata of an
+exiv2: image through Exiv2 keys and standard C++ iterators
+exiv2: - a smart IPTC implementation that does not affect data that
+exiv2: programs like Photoshop store in the same image segment, ...
+EOF
+
+# ----------------- Documentações -----------------------
+# Criar diretório de documentação
+PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
+mkdir -p $PKG_DOC
+cp $PKG_DIR/{COPYING,README} $PKG_DOC
+cp -r $PKG_DIR/doc $PKG_DOC
+
+# --------------- Constroi o pacote ---------------------
+echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+if [ $? -ne 0 ]; then
+ exit $ERROR_MKPKG
+fi
+
+# ----------- Remove arquivos temporários ---------------
+if [ "$CLEANUP" = "yes" ]; then
+ echo -e "\n\n\033[01;32m Remove files... \n\033[m"
+ rm -rf $PKG $PKG_SRC
+fi
diff --git a/media/libs/faac/faac-1.24.diff.gz b/media/libs/faac/faac-1.24.diff.gz
new file mode 100644
index 00000000..cf6bdd9e
--- /dev/null
+++ b/media/libs/faac/faac-1.24.diff.gz
Binary files differ
diff --git a/media/libs/faac/faac.SlackBuild b/media/libs/faac/faac.SlackBuild
new file mode 100755
index 00000000..ad3228c0
--- /dev/null
+++ b/media/libs/faac/faac.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# slackbuild script for faac
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building faac are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="faac"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.24}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/faac/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff.gz" ]; then
+ gzip -dc $CWD/$PACKAGE-$VERSION.diff.gz | patch -p1
+fi
+
+sh ./bootstrap
+sh ./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+faac: faac (faac is an AAC audio encoder)
+faac:
+faac: faac is a free AAC audio codec implementation.
+faac:
+faac:
+faac:
+faac:
+faac:
+faac:
+faac: http://www.audiocoding.com/
+faac:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO docs/faac.html docs/libfaac.html docs/libfaac.pdf;do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/libs/faad2/faad2-2.0.diff b/media/libs/faad2/faad2-2.0.diff
new file mode 100644
index 00000000..19c9e820
--- /dev/null
+++ b/media/libs/faad2/faad2-2.0.diff
@@ -0,0 +1,13 @@
+--- Makefile.orig 2006-10-05 04:47:27.000000000 -0300
++++ Makefile 2006-10-05 04:47:57.000000000 -0300
+@@ -624,10 +624,6 @@
+ tags tags-recursive uninstall uninstall-am uninstall-info-am
+
+
+-rpm: Makefile
+- make dist
+- $(RPMBUILD) -ta $(PACKAGE)-$(VERSION).tar.gz
+- rm $(PACKAGE)-$(VERSION).tar.gz
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff --git a/media/libs/faad2/faad2.SlackBuild b/media/libs/faad2/faad2.SlackBuild
new file mode 100755
index 00000000..957c28c7
--- /dev/null
+++ b/media/libs/faad2/faad2.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for faad2
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building faad2 are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="faad2"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.0}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/faac/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE
+
+autoreconf -vif
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p0 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+faad2: faad2 (faad2 is a free Advanced Audio Decoder)
+faad2:
+faad2: Faad2 is a free Advanced Audio Decoder.
+faad2:
+faad2:
+faad2:
+faad2:
+faad2:
+faad2:
+faad2: http://www.audiocoding.com/
+faad2:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO;do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/video/ffmpeg/ffmpeg.SlackBuild b/media/video/ffmpeg/ffmpeg.SlackBuild
new file mode 100755
index 00000000..1f1f2bf8
--- /dev/null
+++ b/media/video/ffmpeg/ffmpeg.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for ffmpeg
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ffmpeg are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="ffmpeg"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="svn"
+PACKAGE_EXT=""
+SRC=""
+URL=""
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk $PACKAGE
+cd $PACKAGE
+
+export EXTRA_AC_FLAGS=""
+
+if [ "$ARCH" == "powerpc" ]; then
+ export EXTRA_AC_FLAGS="--disable-altivec"
+fi
+
+
+./configure --prefix=/usr --libdir=$LIBDIR $EXTRA_AC_FLAGS --enable-shared --enable-pthreads --enable-mp3lame --enable-libogg --enable-vorbis --enable-pp --enable-gpl
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ffmpeg: ffmpeg (ffmpeg multimedia system)
+ffmpeg:
+ffmpeg: FFmpeg is a complete solution to record, convert and stream audio
+ffmpeg: and video. It includes libavcodec, the leading audio/video codec
+ffmpeg: library.
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+ffmpeg:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in COPYING CREDITS Changelog Doxyfile INSTALL MAINTAINERS README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/video/ffmpeg/slack-required b/media/video/ffmpeg/slack-required
new file mode 100644
index 00000000..746d2f0d
--- /dev/null
+++ b/media/video/ffmpeg/slack-required
@@ -0,0 +1 @@
+lame